Name:           dracut-fsverity
Version:        0.1
Release:        1%{?dist}
Summary:        Dracut module to load fs-verity keys

License:        GPLv2+
Source1:        module-setup.sh
Source2:        load-fsverity-keys.sh

BuildArch:      noarch

%description
Dracut module to load fs-verity keys

%prep
rm -rf %{name}-{%version}
mkdir %{name}-{%version}

%build
cd %{name}-{%version}

%install
cd %{name}-{%version}
mkdir -p %{buildroot}%{_prefix}/lib/dracut/modules.d/04fsverity
install -m755 %{SOURCE1} %{buildroot}%{_prefix}/lib/dracut/modules.d/04fsverity/module-setup.sh
install -m755 %{SOURCE2} %{buildroot}%{_prefix}/lib/dracut/modules.d/04fsverity/load-fsverity-keys.sh

%files
%{_prefix}/lib/dracut/modules.d/04fsverity/module-setup.sh
%{_prefix}/lib/dracut/modules.d/04fsverity/load-fsverity-keys.sh

%changelog
* Tue May 30 2023 Alexander Larsson <alexl@redhat.com>
- Initial version
